Bug Hunting Session
Bug 94427 - UI: Show indicator of currently applied style when a different style is selected in styles sidebar
Summary: UI: Show indicator of currently applied style when a different style is selec...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Styles UX
  Show dependency treegraph
 
Reported: 2015-09-22 00:34 UTC by Bastián Díaz
Modified: 2019-08-30 05:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
example (40.23 KB, image/png)
2015-09-22 00:34 UTC, Bastián Díaz
Details
New mockup (152.60 KB, image/png)
2016-09-12 09:14 UTC, Bastián Díaz
Details
Zoho Docs formatting styles menu (175.66 KB, image/png)
2016-09-13 20:14 UTC, Bastián Díaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2015-09-22 00:34:48 UTC
Created attachment 118917 [details]
example

In LibreOffice 5 greatly improved five preview styles available, however, to intensively use the styles, it is confusing to know for sure what the style used for the current selection.

I think it would be great to have an indicator showing the style used in the current selection that is independent of the highlighted selection.

The attached image is not a mockup, but shows the basic idea I am presenting.

Cheers
Comment 1 Cor Nouws 2015-09-22 06:23:05 UTC
Hi Bastián,

thanks for your idea.
Since you're pretty much active, maybe you can have a look at issues listed in bug 90646, and see if your idea already is listed there, and if not, add it?

Regards - Cor
Comment 2 Cor Nouws 2015-09-22 08:56:35 UTC
I see you added your idea there. But did you actually look at the existing ideas? People working here are voluntary, and it's kind to help a bit with smart work, you know :)
Comment 3 Bastián Díaz 2015-09-22 14:52:33 UTC
(In reply to Cor Nouws from comment #2)
> I see you added your idea there. But did you actually look at the existing
> ideas? People working here are voluntary, and it's kind to help a bit with
> smart work, you know :)

I do not understand at all.

If you mean to read the thread before commenting, I did it.
If you mean you search the bug tracker, I did too.
Unfortunately, searches can be performed in the bugtracker, mailing list, etc. do not yield the results that I hope, and I assume that adding a specific report helps narrow my search. (error, because apparently there is a tendency to find meta-bugs).

I understand what you ask me, I will try to do smart work.
Unfortunately, the current documentation does not accompany the request made by the developers.

Cheers
Comment 4 Cor Nouws 2015-09-22 21:14:59 UTC
(In reply to Bastián Díaz from comment #3)
> 
> I do not understand at all.

Sorry for my bad explanation.
Bug 90646 already mentions a lot of issues. Before adding yours, you can check if it already exists.
Comment 5 Cor Nouws 2015-11-10 13:59:31 UTC
Still do net get what exactly is the advantage over the current situation where "Styles and Formatting" and "Apply Style" mark/show the name of the style in use by the selection..

Can you please explain again?
Comment 6 Bastián Díaz 2015-11-10 14:49:46 UTC
(In reply to Cor Nouws from comment #5)
> Still do net get what exactly is the advantage over the current situation
> where "Styles and Formatting" and "Apply Style" mark/show the name of the
> style in use by the selection..
> 
> Can you please explain again?

The advantage is to know with certainty the style applied to a particular paragraph/character.

Currently, selecting a paragraph/character, it automatically highlights the style used, but how to highlight equals if you selected a style in the list. The indicator is to differentiate the style applied to the selected.
This can lead to confusion when styles are used actively.

Cheers
Comment 7 Xisco Faulí 2016-09-11 19:46:29 UTC Comment hidden (obsolete)
Comment 8 Bastián Díaz 2016-09-12 09:14:19 UTC
Created attachment 127266 [details]
New mockup

The idea is to improve the  a little the usability of sidebar to use styles. 

Currently when selecting a paragraph, style currently used by this paragraph is highlighted in the sidebar, however, if you navigate among other styles, the notion of the current applied style is lost. To return to look at it is necessary to jump to another paragraph and back again to the style applied to the current selection is highlighted.

In the proposed mockup always indicate what the applied style vs selected style.

Cheers
Comment 9 Cor Nouws 2016-09-12 20:43:27 UTC
Ok, got it :)
For paragraph and frame styles the current one is visible in the Formatting toolbar. Not the case for character styles.
Comment 10 Yousuf Philips (jay) (retired) 2016-09-12 21:21:40 UTC
Seems like a good idea and hope it would be easy to implement.

@Heiko: what you think?
Comment 11 Heiko Tietze 2016-09-13 06:46:46 UTC
Bastian is right that there is a gap. Additionally to the styles list itself we have also an issue when you single click an entry and go back to the text without activating the selected style. The selection does not reflect the effective style.

We have a number of options:

a) as proposed an icon to indicate what's currently effective; pro: flexible and easy to implement, con: trust on the icon, still weird
b) the active style is highlighted differently to the selected item (an example is 'New mockup' (perhaps with an ant street around the active style instead of the gray background); pro: that's common behavior and often applied for active selections; con: not so easy to implement
c) we apply the style on single click (and have Undo for the situation when users don't know what was set before); pro: typical and intended behavior of a list selection; con: nothing, but the right click for non-active selections needs to be treated differently (guess we can drop this)

I vote for c), perhaps with the addition to temporarily apply the style when the cursor hovers over a list item (that's by the way how Microsoft Word handles this).
Comment 12 Cor Nouws 2016-09-13 19:37:19 UTC
(In reply to Heiko Tietze from comment #11)

> a) as proposed an icon to indicate what's currently effective; pro: flexible
> and easy to implement, con: trust on the icon, still weird

> b) the active style is highlighted differently to the selected item (an
> example is 'New mockup' (perhaps with an ant street around the active style
> instead of the gray background); pro: that's common behavior and often
> applied for active selections; con: not so easy to implement

I thought this was proposed?

> c) we apply the style on single click (and have Undo for the situation when
> users don't know what was set before); pro: typical and intended behavior of
> a list selection; con: nothing, 

Selecting objects in the Navigator is with double click.

>                                 but the right click for non-active
> selections needs to be treated differently (guess we can drop this)

What do you mean with the last part, drop right click access?

> I vote for c), perhaps with the addition to temporarily apply the style when
> the cursor hovers over a list item (that's by the way how Microsoft Word
> handles this).

That type of feature is nice yes.
Comment 13 Bastián Díaz 2016-09-13 20:09:26 UTC
(In reply to Heiko Tietze from comment #11)
> c) we apply the style on single click (and have Undo for the situation when
> users don't know what was set before); pro: typical and intended behavior of
> a list selection; con: nothing, but the right click for non-active
> selections needs to be treated differently (guess we can drop this)
> 

Sounds good. I had thought so, but did not want to transform LibreOffice in MS Office. Although it works similar to the current dropdown menu in the formatting toolbar (without preview). Would it be possible to unify both interfaces?

Besides the lack of an indicator it is still necessary. For example if you want to go for some styles before choosing a new (applied style vs selected style). 

An example of this is the revamped user interface of Zoho Docs.

Note: Additionally you could add the options "apply" and "update" to the context menu when you select a style with the right mouse button.

> I vote for c), perhaps with the addition to temporarily apply the style when
> the cursor hovers over a list item (that's by the way how Microsoft Word
> handles this).
Comment 14 Bastián Díaz 2016-09-13 20:14:25 UTC
Created attachment 127316 [details]
Zoho Docs formatting styles menu

Here is another example in Zoho docs (it is the first time I see the redesign) and has a similar idea which I proposed.

Again I feel it is redundant the menu for styles in properties tab on the side panel (LO Writer).
Comment 15 Heiko Tietze 2016-09-13 21:37:10 UTC
(In reply to Cor Nouws from comment #12)
> Selecting objects in the Navigator is with double click.

But not having a certain use case in mind, just for sake of some unneeded functionality (it violates any guideline for no good reason). We made a proposal to change the behavior of the navigator in general at https://design.blog.documentfoundation.org/2016/07/31/how-the-navigator-may-support-object-handling-in-libreoffice-draw/ (the styles list is not the navigator tree, though).

> What do you mean with the last part, drop right click access?

Today, you can modify a style that is not active by right clicking the entry. With single selection this could still be possible, but likely adds a lot of coding effort and makes not much sense, workflow wise.

(In reply to Bastián Díaz from comment #13)
> Although it works similar to the current dropdown menu in the
> formatting toolbar (without preview). Would it be possible to unify both
> interfaces?

What do you mean with unify? Dropdowns are by default a collapsed version of lists. The suggested single-click activation makes the indicator obsolete since there is no chance to have another selection than the active one. But again, I think we should aim for a clear and simple workflow and drop unnecessary functions. And in my opinion the applied vs. selected differentiation is one of those.
Comment 16 Bastián Díaz 2016-09-13 23:26:36 UTC
(In reply to Heiko Tietze from comment #15)
> (In reply to Cor Nouws from comment #12)
> 
> (In reply to Bastián Díaz from comment #13)
> > Although it works similar to the current dropdown menu in the
> > formatting toolbar (without preview). Would it be possible to unify both
> > interfaces?
> 
> What do you mean with unify? 

I mean to show a similar UI, so something for the panel of styles and formats:

---------------------
|Heading 1        |▼|
---------------------


> Dropdowns are by default a collapsed version of
> lists. 

For the same reason, I do not understand why it should be different. The dropdown list is a short list of paragraph stilys to use and select "More styles ..." open sidebar with the full list of styles. In the arrow on the right side can be added to the options actually appear in the context menu.

> The suggested single-click activation makes the indicator obsolete

I imagined that by overlaying the pointer over the selections, they were going highlighting (several menus operate similarly).

Like this: https://cloud.woelkli.com/index.php/s/NCcQJ1sIju2YNTE

> since there is no chance to have another selection than the active one. But
> again, I think we should aim for a clear and simple workflow and drop
> unnecessary functions. And in my opinion the applied vs. selected
> differentiation is one of those.

I do not think so, for that reason I opened a new improvement report first.
Comment 17 Cor Nouws 2016-09-14 10:46:22 UTC
(In reply to Heiko Tietze from comment #15)

> > What do you mean with the last part, drop right click access?
> 
> Today, you can modify a style that is not active by right clicking the
> entry. With single selection this could still be possible, but likely adds a
> lot of coding effort and makes not much sense, workflow wise.

It happens regularly that one edits a style that is not selected. Can also be a style from which others inherit. Or a style from a type that is not active in the selection (frame, lists..) So I would be rather reluctant dropping that.
Comment 18 Dave Barton 2016-09-14 14:46:42 UTC
(In reply to Cor Nouws from comment #17)
> 
> It happens regularly that one edits a style that is not selected. Can also
> be a style from which others inherit. Or a style from a type that is not
> active in the selection (frame, lists..) So I would be rather reluctant
> dropping that.

+1
In the Linux and Windows 64bit editions (maybe others) of 5.2.1 we have already lost (regressed) the facility to edit a style that is not selected using the "Edit Style" feature from the formatting toolbar "Styles" drop-down list.
See the (trivial according to developers) Bug 101470 so please let's not deliberately cripple the alternative facility.
Comment 19 Heiko Tietze 2016-09-14 21:02:56 UTC Comment hidden (no-value)
Comment 20 Cor Nouws 2016-09-19 17:05:35 UTC
just a note: on working on the formatting of a larger document, that is not bound to a strict template, it happens multiple times that one edits more styles one after another, styles that are not active in the document. Of course you can activate a style first at some random text, but..
Comment 21 Heiko Tietze 2016-09-19 20:19:40 UTC
Enough input from the UX team, removing the keyword now.